質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.51%

  • Linux

    4439questions

    Linuxは、Unixをベースにして開発されたオペレーティングシステムです。日本では「リナックス」と呼ばれています。 主にWebサーバやDNSサーバ、イントラネットなどのサーバ用OSとして利用されています。 上位500のスーパーコンピュータの90%以上はLinuxを使用しています。 携帯端末用のプラットフォームAndroidは、Linuxカーネル上に構築されています。

  • CentOS

    3145questions

    CentOSは、主にRed Hat Enterprise Linux(RHEL)をベースにした、フリーのソフトウェアオペレーティングシステムです。

  • Vagrant

    1388questions

    Vagrantは、VirtualBox上の仮想マシンを コマンドラインから作成してくれるソフトウェアです。 ビルド環境など容易に構築が可能です。

linuxbrew

受付中

回答 1

投稿 編集

  • 評価
  • クリップ 1
  • VIEW 1,123

nao_13jp

score 14

前提・実現したいこと

vagrantでcentosを導入し、そこでlinuxbrewをインストールしています。
しばらく使っていなかったので、brewdoctorしたところ、①エラーがでました。
そこで、brew updateを試したところ②エラーが表示され、エラー末尾のcd~及びgit~を実行しましたがなにも変化がありません。
対処方法をご教示ください。

環境
WIndows10のvagrantにcentosを導入
macからブリッジ接続して利用しています。

発生している問題・エラーメッセージ

①エラー

brew doctor

which: no shasum in (/home/vagrant/.linuxbrew/bin:/home/vagrant/.linuxbrew/sbin:/home/vagrant/.linuxbrew/bin:/bin:/home/vagrant/.rbenv/bin:/usr/local/bin:/usr/bin:/usr/games:/home/vagrant/bin:/usr/local/sbin:/usr/sbin:/sbin)
Error: Failed to install vendor ruby.
Error: Failed to install vendor Ruby.

②エラー

brew update

error: unknown option `list' usage: git tag [-a|-s|-u <key-id>] [-f] [-m <msg>|-F <file>] <tagname> [<head>]    or: git tag -d <tagname>...    or: git tag -l [-n[<num>]] [<pattern>]    or: git tag -v <tagname>...

    -l                    list tag names     -n[<n>]               print <n> lines of each tag message     -d                    delete tags     -v                    verify tags

Tag creation options     -a                    annotated tag, needs a message     -m <msg>              message for the tag     -F <FILE>             message in a file     -s                    annotated and GPG-signed tag     -u <key-id>           use another key to sign the tag     -f, --force           replace the tag if exists

Tag listing options     --contains <commit>   print only tags that contain the commit

error: cannot open .git/FETCH_HEAD: Permission denied

Error: Fetching /home/vagrant/.linuxbrew/Library/Taps/homebrew/homebrew-dupes failed! error: unknown option `list'
usage: git tag [-a|-s|-u <key-id>] [-f] [-m <msg>|-F <file>] <tagname> [<head>]
or: git tag -d <tagname>...
or: git tag -l [-n[<num>]] [<pattern>]
or: git tag -v <tagname>...

-l                    list tag names
-n[<n>]               print <n> lines of each tag message
-d                    delete tags
-v                    verify tags

Tag creation options
-a                    annotated tag, needs a message
-m <msg>              message for the tag
-F <FILE>             message in a file
-s                    annotated and GPG-signed tag
-u <key-id>           use another key to sign the tag
-f, --force           replace the tag if exists

Tag listing options
--contains <commit>   print only tags that contain the commit

Unknown option: -c
usage: git [--version] [--exec-path[=GIT_EXEC_PATH]] [--html-path]
[-p|--paginate|--no-pager] [--no-replace-objects]
[--bare] [--git-dir=GIT_DIR] [--work-tree=GIT_WORK_TREE]
[--help] COMMAND [ARGS]
Error: Could not 'git stash' in /home/vagrant/.linuxbrew!
Please stash/commit manually if you need to keep your changes or, if not, run:
cd /home/vagrant/.linuxbrew
git reset --hard origin/master

cd /home/vagrant/.linuxbrew

git reset --hard origin/master 

HEAD is now at 10d15be Move Linuxbrew dev-cmd to Linuxbrew/developer

#

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

+1

もしかして、CentOS6でしょうか?

CentOS 6.xのgitはバージョンが古く、Linuxbrewが必要とするオプションを有していないようです。
私は面倒だったので、git 2.11とRuby 2.3.3を自前でインストールしました。

.bash_historyにそのときのログが残っていたので、もしよければ参考にしてください。

sudo yum groupinstall "Development Tools"
sudo yum install gcc bzip2 openssl-devel libyaml-devel libffi-devel readline-devel zlib-devel gdbm-devel ncurses-devel
git clone https://github.com/rbenv/rbenv.git ~/.rbenv
git clone https://github.com/rbenv/ruby-build.git ~/.rbenv/plugins/ruby-build
export PATH="$HOME/.rbenv/bin:$PATH"
eval "$(rbenv init -)"
CONFIGURE_OPTS="--disable-install-doc" rbenv install -v 2.3.3
rbenv global 2.3.3
curl -O https://www.kernel.org/pub/software/scm/git/git-2.11.0.tar.xz
tar xvf git-2.11.0.tar.xz
cd git-2.11.0
sudo yum install libcurl-devel pcre-devel expat-devel perl-ExtUtils-MakeMaker gettext gettext-devel
./configure --prefix=$HOME/local/ --with-openssl --with-libpcre --with-curl --with-expat
make
make test
make install
export PATH="$HOME/local/bin:$PATH"

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/01/06 22:51 編集

    お礼が遅くなりすみません。
    アドバイスありがとうございます。
    centos6.7を利用しています。
    一連の処理の中で、
    ruby2.3.3のインストにおいて、このバージョンがないとのメッセージが出たので、--listで探したところ、最新の2.3.1(2.4.0はdev)をインストし、すべての処理を行いました。

    しかしながら、再起動後、brewdoctorしたところ、やはり①エラーが出てしまいます。

    キャンセル

同じタグがついた質問を見る

  • Linux

    4439questions

    Linuxは、Unixをベースにして開発されたオペレーティングシステムです。日本では「リナックス」と呼ばれています。 主にWebサーバやDNSサーバ、イントラネットなどのサーバ用OSとして利用されています。 上位500のスーパーコンピュータの90%以上はLinuxを使用しています。 携帯端末用のプラットフォームAndroidは、Linuxカーネル上に構築されています。

  • CentOS

    3145questions

    CentOSは、主にRed Hat Enterprise Linux(RHEL)をベースにした、フリーのソフトウェアオペレーティングシステムです。

  • Vagrant

    1388questions

    Vagrantは、VirtualBox上の仮想マシンを コマンドラインから作成してくれるソフトウェアです。 ビルド環境など容易に構築が可能です。